GXml.Range – GXml-0.20 Reference Manual

# Range

## Object Hierarchy:

## Description:

public class Range : Object, DomRange

DOM4 Range implementation, powered by libxml2 library.

Namespace: GXml
Package: GXml-0.20

## Content:

### Properties:

- public bool collapsed { get; }
- public DomNode common_ancestor_container { get; }
- public DomNode end_container { get; }
- public int end_offset { get; }
- public DomNode start_container { get; }
- public int start_offset { get; }

### Creation methods:

- public Range (DomDocument doc)

### Methods:

- public DomDocumentFragment? clone_contents ()
- public DomRange clone_range ()
- public void collapse (bool to_start = false) throws Error
- public int compare_boundary_points (BoundaryPoints how, DomRange source_range) throws Error
- public short compare_point (DomNode node, int offset)
- public void delete_contents () throws Error
- public void detach ()
- public DomDocumentFragment? extract_contents ()
- public void insert_node (DomNode node)
- public bool intersects_node (DomNode node)
- public bool is_point_in_range (DomNode node, int offset)
- public void select_node (DomNode node) throws Error
- public void select_node_contents (DomNode node) throws Error
- public void set_end (DomNode node, int offset) throws Error
- public void set_end_after (DomNode node) throws Error
- public void set_end_before (DomNode node) throws Error
- public void set_start (DomNode node, int offset) throws Error
- public void set_start_after (DomNode node) throws Error
- public void set_start_before (DomNode node) throws Error
- public void surround_contents (DomNode newParent)
- public string to_string ()

### Fields:

- protected bool _collapse
- protected DomNode _common_ancestor_container
- protected DomDocument _document
- protected DomNode _end_container
- protected int _end_offset
- protected DomNode _start_container
- protected int _start_offset

### Inherited Members:

All known members inherited from class GLib.Object

- @get
- @new
- @ref
- @set
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating
- freeze_notify
- get_class
- get_data

- get_property
- get_qdata
- get_type
- getv
- interface_find_property
- interface_install_property
- interface_list_properties
- is_floating
- new_valist
- new_with_properties
- newv
- notify
- notify_property
- ref_count
- ref_sink
- remove_toggle_ref
- remove_weak_pointer

- replace_data
- replace_qdata
- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref

All known members inherited from interface GXml.DomRange

- clone_contents
- clone_range
- collapse
- collapsed
- common_ancestor_container
- compare_boundary_points
- compare_point
- delete_contents
- detach

- end_container
- end_offset
- extract_contents
- insert_node
- intersects_node
- is_point_in_range
- select_node
- select_node_contents
- set_end

- set_end_after
- set_end_before
- set_start
- set_start_after
- set_start_before
- start_container
- start_offset
- surround_contents
- to_string